OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
depot_func.h File Reference

Functions related to depots. More...

`#include "vehicle_type.h"`
`#include "slope_func.h"`

Go to the source code of this file.

## Functions
void | ShowDepotWindow (TileIndex tile, VehicleType type)
| Opens a depot window.
void | DeleteDepotHighlightOfVehicle (const Vehicle *v)
| Removes the highlight of a vehicle in a depot window.
static bool | CanBuildDepotByTileh (DiagDirection direction, Slope tileh)
| Find out if the slope of the tile is suitable to build a depot of given direction.

## Detailed Description

Functions related to depots.

Definition in file depot_func.h.

## Function Documentation

static bool CanBuildDepotByTileh | ( | DiagDirection | direction,
|  | Slope | tileh
| ) |  |
| inline static

Find out if the slope of the tile is suitable to build a depot of given direction.

Parameters

  direction | The direction in which the depot's exit points
  tileh | The slope of the tile in question

Returns
  true if the construction is possible

Definition at line 28 of file depot_func.h.

References InclinedSlope(), IsSteepSlope(), and SLOPE_FLAT.

Referenced by AutoslopeCheckForEntranceEdge(), CheckBuildableTile(), CmdBuildRoadDepot(), and CmdBuildTrainDepot().

void DeleteDepotHighlightOfVehicle | ( | const Vehicle * | v | ) |

Removes the highlight of a vehicle in a depot window.

Parameters

  *v | Vehicle to remove all highlights from

Definition at line 1057 of file depot_gui.cpp.

References _special_mouse_mode, FindWindowById(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, ResetObjectToPlace(), Vehicle::tile, WC_VEHICLE_DEPOT, and WSM_DRAGDROP.

Referenced by Vehicle::PreDestructor().

void ShowDepotWindow | ( | TileIndex | tile,
|  | VehicleType | type
| ) |  |

Opens a depot window.

Parameters

  tile | The tile where the depot/hangar is located
  type | The type of vehicles in the depot

Definition at line 1037 of file depot_gui.cpp.

References BringWindowToFrontById(), VEH_AIRCRAFT, VEH_ROAD, VEH_SHIP, VEH_TRAIN, and WC_VEHICLE_DEPOT.